Asuransi Bintang - Existing - Bug #2488

[HR-TM TO PAYROLL] tm to payroll agar bisa membaca payroll grade dengan huruf dan beberapa
requirement tarif nya

01/10/2024 01:04 PM - Muhammad Bintar

Status: Closed Start date: 01/10/2024
Priority: Normal Due date: 01/22/2024
Assignee: Tri Rizgiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

dear tim developer mohon supportnya untuk perbaikan pada engine tm to payroll dimana:

1. tidak perlu membaca personal working schedule pa125 lagi untuk membaca jumlah attendance
2. untuk parameter payroll grade nya agar bisa membaca dengan huruf karena tm to payroll saat ini tidak bisa membaca dengan
huruf.

Uralan Waktu Lembur HariKerja Biasa Har Libur
Bekerja berturut-turut kurang dari 3 |[Rp.0 Rp.0
jam
Bekerja berturut-turut diatas 3 jam |Rp. 20.000 Rp. 40.000
sampai 7 jam
Bekerja berturut-turut diatas 7 jam |Rp. 40.000 Rp. 60.000
sampai 10,5 jam
Berturut-turut bekerja diatas 10,5  |Tidak diizinkan Rp. 80.000
jam

payroll grade :

B1 sampai M itu mendapatkan tunjangan kalori
A dan B tidak mendapatkan tunjangan kalori hanya uang overtime biasa

Knmisaris ~ JOSITo
A - STAFF Jrgani
- STAFF_SENIOR STAFF Jrade
- SENIOR STAFF
- SENIOR STAFF

E - ASSISTANT MANAGER
F - ASSISTANT MANAGER
G - ASSISTANT MANAGER
H - MANAGER

I - MANAGER

] - MANAGER

K - VICE PRESIDENT

L - VICE PRESIDENT

M - DIRECTOR

IDR ¥

untuk kolom jumlah attendance nya, wage type kehadiran(isi nya total amount) dan tunjangan kalori (isi nya amount)
~IMINOVAIS

Home Employee Reminder Report Overtime Generate Personal WS TM To Payroll '*/|| Generate Work Schedule Calendar

»

Filter Employee

From Date: |n]j[)1,."2024 |E Payroll Date: A

To Date: | 15/01/2024 |E Payroll Group: v

Company ID: | PT. Asuransi Bintang |V Payment Industry: hd

Employee Status: |Active |V Payment Area: »

Employee Area: A4 Payment Class: A4

Employee Office: hd Payment Grade: v

Crnlasran Tiermas ar AWinrkerehadola ~r 1
£E Execute Data Delete Data Load Data EE Export to Excel Save to Payroll / TM
itus | Workschedule Payroll Group Pay Area Pay Class Pay Grade Pay Industry Total Work Day Total Attendance Total Late {Days) | Wagetype Keha...| | Tunjangan Kalori

ovT Asst Vice Yogyakaria Junior 05 - Senior Staff General 10 o 1] o o
President Down Management
< . _________________________________________________________________|

remote.minovais.com:312
database sql server 2014
remote.minovais.com, 1452
Bintang Prod

contoh employeeid nency 00300559
data 1 januari 2024 s/d 10 jan2024

History

#1 - 01/11/2024 09:54 AM - Tri Rizqgiaty
- File Bintang.MinovaERP.Extended.HR.MDToPY.BusinessComponent.dll added
- File clipboard-202401110953-m3qst.png added

- Status changed from New to Developing

Fixing :

1. update folder ExtensionLibraries : Bintang.MinovaERP.Extended.HR.MDToPY.BusinessComponent.dl|
2. update table base_cust_parameter, sesuai gambar dibawah

Column Alias Table Outp... Sort Type Sort Order Filter ar... Or... Or... Q
landscape base_cust...
3 param base_cust...
seq base_cust...
start_date base_cust...
end_date base_cust...
eql base_cust...
vall base_cust...
rel base_cust...
eq2 base_cust... perubahan isi parameter ini
val2 base_cust...
description base_cust...
application base_cust.. 1 v
landscape param seq start_date end_date eql vall rel eq wval2 description
100 TTP_ASBI_PAYGRADE_TIKAL 1 18000101 99991231 I = 05,06,07 | WT Tunjangan Kalori untuk...
3 |YDD TTP_ASBI_WSTYPE_TKAL " 12000101 99991231 = TOVT,OVT | WS Type untuk tunjangan k...
. NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL
penambahan parameter ini
< 2>

3. daftarkan paygrade-paygrade baru, dan wstype-wstype sesuai gambar diatas.
Notes: jangan lupa yg lama diback up

#2 - 01/11/2024 09:54 AM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Muhammad Bintar

#3 - 01/11/2024 09:56 AM - Muhammad Bintar
- Project changed from CLIENT SUPPORT to Asuransi Bintang - Existing

#4 - 01/29/2024 03:03 PM - Muhammad Bintar
- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to Tri Rizqiaty

Files

clipboard-202401101259-xgdlk.jpg 44 KB 01/10/2024 Muhammad Bintar

clipboard-202401101300-cdjkg.jpg 28.9 KB 01/10/2024 Muhammad Bintar

clipboard-202401101302-yodor.png 62 KB 01/10/2024 Muhammad Bintar

Bintang.MinovaERP.Extended.HR.MDToPY.BusinessComponent.dll 22 KB 01/11/2024 Tri Rizqgiaty

clipboard-202401110953-m3gst.png 40.9 KB 01/11/2024 Tri Rizqgiaty
07/03/2025 3/3


http://www.tcpdf.org

